Bug 1389733 - EPEL7 support
Summary: EPEL7 support
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: rubygem-tilt
Version: epel7
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: František Dvořák
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1096203
TreeView+ depends on / blocked
 
Reported: 2016-10-28 11:04 UTC by František Dvořák
Modified: 2017-05-15 13:53 UTC (History)
1 user (show)

Fixed In Version: rubygem-tilt-2.0.7-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-15 13:53:59 UTC


Attachments (Terms of Use)
EPEL7 patch for rubygem-tilt (1.54 KB, patch)
2016-10-28 11:04 UTC, František Dvořák
no flags Details | Diff
EPEL7 patch for rubygem-haml (1.14 KB, patch)
2016-10-28 11:05 UTC, František Dvořák
no flags Details | Diff

Description František Dvořák 2016-10-28 11:04:13 UTC
Created attachment 1214970 [details]
EPEL7 patch for rubygem-tilt

Hello,

are there plans to have rubygem-tilt in EPEL7? It is dependency for rubygem-sinatra.

It seems there is already a lot work on it done (rubygem-wikicloth dependency recently added, branches prepared for rubygem-haml and rubygem-tilt).

The quickest way now could be to:

1) build ruygem-tilt without some dependencies (see attached patch) with bootstrap enabled
2) optionaly rubygem-haml can be build without tests (there is no actionpack in EPEL7)
3) rubygem-tilt then can build with all tests and with bootstrap disabled

Thank you,
  František

Comment 1 František Dvořák 2016-10-28 11:05:01 UTC
Created attachment 1214971 [details]
EPEL7 patch for rubygem-haml

Comment 2 František Dvořák 2016-11-16 13:06:32 UTC
I can co-maintain the EPEL 7 branch - and asked for ACL. Limited version of rubygem-tilt in EPEL 7 could be possible (without tests and some formats).

Comment 3 Fedora Update System 2017-04-26 13:25:31 UTC
rubygem-tilt-2.0.7-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-18b2d130e1

Comment 4 Fedora Update System 2017-04-26 19:19:25 UTC
rubygem-tilt-2.0.7-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-18b2d130e1

Comment 5 Fedora Update System 2017-04-28 09:59:36 UTC
rubygem-sinatra-1.4.8-1.el7 rubygem-tilt-2.0.7-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-18b2d130e1

Comment 6 Fedora Update System 2017-04-30 00:51:04 UTC
rubygem-sinatra-1.4.8-1.el7, rubygem-tilt-2.0.7-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-18b2d130e1

Comment 7 Fedora Update System 2017-04-30 09:03:28 UTC
rubygem-sinatra-1.4.8-2.el7 rubygem-tilt-2.0.7-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-18b2d130e1

Comment 8 Fedora Update System 2017-04-30 22:19:00 UTC
rubygem-sinatra-1.4.8-2.el7, rubygem-tilt-2.0.7-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-18b2d130e1

Comment 9 Fedora Update System 2017-05-15 13:53:59 UTC
rubygem-sinatra-1.4.8-2.el7, rubygem-tilt-2.0.7-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.